package de.intevation.artifactdatabase;

import de.intevation.artifacts.CallMeta;
import de.intevation.artifacts.Service;
import de.intevation.artifacts.ServiceFactory;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;

public class DefaultService
implements   Service
{
    private static Logger logger = Logger.getLogger(DefaultService.class);

    public Document process(Document data, Object globalContext, CallMeta callMeta) {
        if (logger.isDebugEnabled()) {
            logger.debug("Service.process");
        }
        return XMLUtils.newDocument();
    }

    public void setup(ServiceFactory factory, Object globalContext) {
        if (logger.isDebugEnabled()) {
            logger.debug("Service.setup");
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
